import * as React from 'react';
import { RenderCaret } from './RenderCaret';
import { RenderFocus } from './RenderFocus';
import { RenderAnchor } from './RenderAnchor';
import { RenderInline } from './RenderInline';
import { RenderPeritext } from './RenderPeritext';
const h = React.createElement;
/**
 * Plugin which renders the main cursor and all other current user local
 * cursors.
 */
export class CursorPlugin {
    caret = (props, children) => h(RenderCaret, props, children);
    focus = (props, children) => h(RenderFocus, props, children);
    anchor = (props, children) => h(RenderAnchor, props, children);
    inline = (props, children) => h(RenderInline, props, children);
    peritext = (children, ctx) => h(RenderPeritext, { children, ctx });
}
