import { defer, Observable, merge, fromEvent, map } from 'rxjs';
export const resize$ = (el) => {
    let cnt = 0;
    return new Observable((subscriber) => {
        const resizeObserver = new ResizeObserver(() => subscriber.next(cnt++));
        resizeObserver.observe(el);
        return () => resizeObserver.disconnect();
    });
};
export const rerender$ = (el) => defer(() => merge(resize$(el), fromEvent(window, 'resize'), fromEvent(window, 'scroll'), fromEvent(screen.orientation, 'change'))).pipe(map(() => void 0));
