import type { CompactInOp } from '../codec/compact/types';
import type { OperationIn } from '../types';
import { type Path } from '@jsonjoy.com/json-pointer';
import { AbstractPredicateOp } from './AbstractPredicateOp';
import { OPCODE } from '../constants';
import type { AbstractOp } from './AbstractOp';
import type { IMessagePackEncoder } from '@jsonjoy.com/json-pack/lib/msgpack';
/**
 * @category JSON Predicate
 */
export declare class OpIn extends AbstractPredicateOp<'in'> {
    readonly value: unknown[];
    constructor(path: Path, value: unknown[]);
    op(): "in";
    code(): OPCODE;
    test(doc: unknown): boolean;
    toJson(parent?: AbstractOp): OperationIn;
    toCompact(parent: undefined | AbstractOp, verbose: boolean): CompactInOp;
    encode(encoder: IMessagePackEncoder, parent?: AbstractOp): void;
}
