import type { CompactNotOp } from '../codec/compact/types';
import { AbstractSecondOrderPredicateOp } from './AbstractSecondOrderPredicateOp';
import type { AbstractPredicateOp } from './AbstractPredicateOp';
import type { OperationNot } from '../types';
import { OPCODE } from '../constants';
import { type Path } from '@jsonjoy.com/json-pointer';
import type { AbstractOp } from './AbstractOp';
import type { IMessagePackEncoder } from '@jsonjoy.com/json-pack/lib/msgpack';
/**
 * @category JSON Predicate
 */
export declare class OpNot extends AbstractSecondOrderPredicateOp<'not'> {
    readonly ops: AbstractPredicateOp[];
    constructor(path: Path, ops: AbstractPredicateOp[]);
    op(): "not";
    code(): OPCODE;
    test(doc: unknown): boolean;
    toJson(parent?: AbstractOp): OperationNot;
    toCompact(parent: undefined | AbstractOp, verbose: boolean): CompactNotOp;
    encode(encoder: IMessagePackEncoder, parent?: AbstractOp): void;
}
