"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextHeader = void 0;
const tslib_1 = require("tslib");
// biome-ignore lint: lint/style/useImportType
const React = tslib_1.__importStar(require("react"));
const nano_theme_1 = require("nano-theme");
const blockClass = (0, nano_theme_1.drule)({
    pd: '8px 20px',
});
const ContextHeader = ({ compact, children, ...rest }) => {
    const theme = (0, nano_theme_1.useTheme)();
    const className = (rest.className || '') +
        blockClass({
            bg: theme.g(0, 0.05),
        });
    const style = {
        padding: compact ? '8px' : void 0,
        ...rest.style,
    };
    return (React.createElement("div", { className: className, style: style }, children));
};
exports.ContextHeader = ContextHeader;
