"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DebugPlugin = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const RenderInline_1 = require("./RenderInline");
const RenderBlock_1 = require("./RenderBlock");
const RenderCaret_1 = require("./RenderCaret");
const RenderPeritext_1 = require("./RenderPeritext");
class DebugPlugin {
    constructor(opts = {}) {
        this.opts = opts;
        this.inline = (props, children) => (React.createElement(RenderInline_1.RenderInline, { ...props }, children));
        this.block = (props, children) => (React.createElement(RenderBlock_1.RenderBlock, { ...props }, children));
        this.peritext = (children, ctx) => (React.createElement(RenderPeritext_1.RenderPeritext, { ...this.opts, children, ctx }));
        this.caret = (props, children) => (React.createElement(RenderCaret_1.RenderCaret, { ...props }, children));
    }
}
exports.DebugPlugin = DebugPlugin;
