"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormRow = void 0;
const tslib_1 = require("tslib");
// biome-ignore lint: lint/style/useImportType
const React = tslib_1.__importStar(require("react"));
const nano_theme_1 = require("nano-theme");
const blockClass = (0, nano_theme_1.rule)({
    // pad: 0,
    mar: 0,
    pad: '6px 0 10px',
    // '&+&': {
    //   pad: '16px 0 0',
    // },
});
const titleClass = (0, nano_theme_1.rule)({
    ...nano_theme_1.theme.font.ui2.bold,
    fz: '12.8px',
    lh: '1.4em',
    w: '100%',
    pad: '2px 0 6px',
    mar: 0,
});
const descriptionClass = (0, nano_theme_1.rule)({
    ...nano_theme_1.theme.font.ui2.mid,
    fz: '12px',
    op: 0.75,
    w: '100%',
    pad: '8px 0 0',
    mar: 0,
});
const FormRow = ({ title, description, children }) => {
    return (React.createElement("div", { className: blockClass },
        !!title && React.createElement("div", { className: titleClass }, title),
        children,
        !!description && React.createElement("div", { className: descriptionClass }, description)));
};
exports.FormRow = FormRow;
