import type { CompactTestOp } from '../codec/compact/types';
import type { OperationTest } from '../types';
import { type Path } from '@jsonjoy.com/json-pointer';
import { AbstractPredicateOp } from './AbstractPredicateOp';
import { OPCODE } from '../constants';
import type { AbstractOp } from './AbstractOp';
import type { IMessagePackEncoder } from '@jsonjoy.com/json-pack/lib/msgpack';
/**
 * @category JSON Patch
 * @category JSON Predicate
 */
export declare class OpTest extends AbstractPredicateOp<'test'> {
    readonly value: unknown;
    readonly not: boolean;
    constructor(path: Path, value: unknown, not: boolean);
    op(): "test";
    code(): OPCODE;
    test(doc: unknown): boolean;
    toJson(parent?: AbstractOp): OperationTest;
    toCompact(parent: AbstractOp | undefined, verbose: boolean): CompactTestOp;
    encode(encoder: IMessagePackEncoder, parent?: AbstractOp): void;
}
