import './polyfill';
/**
 * Next function which returns `undefined` or a value of type `T`.
 * This is used in iterators that can end with an `undefined` value, which
 * indicates the end of iteration.
 */
export type UndEndNext<T> = () => undefined | T;
/**
 * Creates an iterator out of {@linke UndefIterator} function.
 */
export declare class UndEndIterator<T> extends Iterator<T, T> implements IterableIterator<T> {
    private readonly n;
    constructor(n: UndEndNext<T>);
    next(): IteratorResult<T, T>;
}
